com.corticon.rulesemf.canonicalrulemodel.ruleflow

## Interface Flow

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RuleActivity, RuleModelElement
  All Known Subinterfaces:
    Ruleflow, Subflow

      public interface Flow
      extends RuleActivity

  A representation of the model object 'Flow'.

  The following features are supported:

  - `Name`
  - `Start`
  - `Flow Control List`
  - `Subflow List`
  - `Connector List`
  See Also:
    `RuleflowPackage.getFlow()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getConnectorList()` Returns the value of the 'Connector List' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getFlowControlList()` Returns the value of the 'Flow Control List' containment reference list.
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `FlowControl` | `getStart()` Returns the value of the 'Start' reference
    `org.eclipse.emf.common.util.EList` | `getSubflowList()` Returns the value of the 'Subflow List' containment reference list.
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setStart(FlowControl value)` Sets the value of the '`Start`' reference

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.ruleflow.RuleActivity

      `getDomain, setDomain`

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.RuleModelElement

      `getDocumentingRuleStatements`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `RuleflowPackage.getFlow_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getStart

          FlowControl getStart()

      Returns the value of the 'Start' reference.

      If the meaning of the 'Start' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Start' reference.
      See Also:
        `setStart(FlowControl)`, `RuleflowPackage.getFlow_Start()`

    - #### setStart

          void setStart(FlowControl value)

      Sets the value of the '`Start`' reference.
      Parameters:
        `value` - the new value of the 'Start' reference.
      See Also:
        `getStart()`

    - #### getFlowControlList

          org.eclipse.emf.common.util.EList getFlowControlList()

      Returns the value of the 'Flow Control List' containment reference list. The list contents are of type `FlowControl`.

      If the meaning of the 'Flow Control List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Flow Control List' containment reference list.
      See Also:
        `RuleflowPackage.getFlow_FlowControlList()`

    - #### getSubflowList

          org.eclipse.emf.common.util.EList getSubflowList()

      Returns the value of the 'Subflow List' containment reference list. The list contents are of type `Subflow`.

      If the meaning of the 'Subflow List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Subflow List' containment reference list.
      See Also:
        `RuleflowPackage.getFlow_SubflowList()`

    - #### getConnectorList

          org.eclipse.emf.common.util.EList getConnectorList()

      Returns the value of the 'Connector List' containment reference list. The list contents are of type `Connector`.

      If the meaning of the 'Connector List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Connector List' containment reference list.
      See Also:
        `RuleflowPackage.getFlow_ConnectorList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.